<?php

namespace Vendtics\App\DTO\Contact;

defined( "ABSPATH" ) || exit;

use Vendtics\WpMVC\DTO\DTO;

class ListDTO extends DTO {
    private int $id;

    private string $name;

    private ?string $description;

    private string $created_at;

    private string $updated_at;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @param int $id 
     *
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of name
     *
     * @return string
     */
    public function get_name(): string {
        return $this->name;
    }

    /**
     * Set the value of name
     *
     * @param string $name 
     *
     * @return self
     */
    public function set_name( string $name ): self {
        $this->name = $name;

        return $this;
    }

    /**
     * Get the value of description
     *
     * @return ?string
     */
    public function get_description(): ?string {
        return $this->description;
    }

    /**
     * Set the value of description
     *
     * @param ?string $description 
     *
     * @return self
     */
    public function set_description( ?string $description ): self {
        $this->description = $description;

        return $this;
    }

    /**
     * Get the value of created_at
     *
     * @return string
     */
    public function get_created_at(): string {
        return $this->created_at;
    }

    /**
     * Set the value of created_at
     *
     * @param string $created_at 
     *
     * @return self
     */
    public function set_created_at( string $created_at ): self {
        $this->created_at = $created_at;

        return $this;
    }

    /**
     * Get the value of updated_at
     *
     * @return string
     */
    public function get_updated_at(): string {
        return $this->updated_at;
    }

    /**
     * Set the value of updated_at
     *
     * @param string $updated_at 
     *
     * @return self
     */
    public function set_updated_at( string $updated_at ): self {
        $this->updated_at = $updated_at;

        return $this;
    }
}